Bug 845122 - Fedora 17 crash during shutdown on DL980 "WARNING: at arch/x86/kernel/smp.c:120 native_smp_send_reschedule+0x5b/0x60()"
Fedora 17 crash during shutdown on DL980 "WARNING: at arch/x86/kernel/smp.c:1...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 16:56 EDT by Maxwell Spangler
Modified: 2013-03-14 15:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 15:32:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Console messages during shutdown and full trace. (6.51 KB, text/plain)
2012-08-01 16:56 EDT, Maxwell Spangler
no flags Details

  None (edit)
Description Maxwell Spangler 2012-08-01 16:56:42 EDT
Created attachment 601823 [details]
Console messages during shutdown and full trace.

Description of problem:

During the shutdown process of Fedora 17 on an HP DL980 I captured the following error message on a serial console.

Version-Release number of selected component (if applicable):
Fedora 17 with updates to 7/31/2012.

How reproducible:
Consistent

Steps to Reproduce:
1. Install and boot Fedora 17 on empty DL980 using internal NC375i network and internal P410i storage.
2. Issue "shutdown -r now" as root
3. Capture crash output on serial console output.
  
Actual results:
Kernel crashes with trace, but does shutdown and reboot.

Expected results:
Clean shutdown

Additional info:

[  425.033407] ------------[ cut here ]------------
[  425.038484] WARNING: at arch/x86/kernel/smp.c:120 native_smp_send_reschedule+0x5b/0x60()
[  425.047362] Hardware name: ProLiant DL980 G7
[  425.052044] Modules linked in: binfmt_misc lockd sunrpc bnep bluetooth rfkill ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state tpm_bios nf_conntrack iTCO_wdt iTCO_vendor_support coretemp i7core_edac microcode serio_raw hpwdt netxen_nic hpilo edac_core acpi_power_meter uinput crc32c_intel ghash_clmulni_intel hpsa radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: ip6_tables]
[  425.090888] Pid: 2573, comm: reboot Not tainted 3.4.6-2.fc17.x86_64 #1

** Full shutdown messages provided as an attachment.

uname -r
Linux p2f.hydrazine.test 3.4.6-2.fc17.x86_64 #1 SMP Thu Jul 19 22:54:16 UTC 2012
 x86_64 x86_64 x86_64 GNU/Linux

Boot parameters:
BOOT_IMAGE=/vmlinuz-3.4.6-2.fc17.x86_64 root=/dev/mapper/vg_p2f-lv_root ro conso
le=ttyS0,115200,8n1 rd.md=0 LANG=en_US.UTF-8 rd.lvm.lv=vg_p2f/lv_swap KEYTABLE=u
s SYSFONT=True rd.luks=0 rd.lvm.lv=vg_p2f/lv_root rd.dm=0
Comment 1 Josh Boyer 2013-03-14 15:32:47 EDT
This was fixed in a later kernel.

Note You need to log in before you can comment on or make changes to this bug.